# timeout

Configures the send timeout, in milliseconds, for ClickHouse HTTP requests.

This parameter applies to omclickhouse: ClickHouse Output Module.

Name:

  timeout

Scope:

  input

Type:

  int (milliseconds)

Default:

  0

Required?:

  no

Introduced:

  not specified

## Description

This parameter sets the timeout for sending data to ClickHouse. Value is given in milliseconds.

## Input usage

    module(load="omclickhouse")
    action(type="omclickhouse" timeout="4500")

## See also

See also omclickhouse: ClickHouse Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.